package Desktop::Locales;

our %locales;
our %aliases;

BEGIN {
  my $locales=`locale -a`;
  for my $l (split("\n",$locales)) {
    $locales{$l}=1;
  }

  my $aliases=`cat /etc/locale.alias`;
  for my $l (split('\n',$aliases)) {
    next if ($l=~/^$/ || $l=~/^#/);
    my ($alias,$loc)=split(" ",$l);
    if(defined($locales{$loc})) {
      $aliases{$alias}=$loc;
    } else {
      print "[$l]\n";
    }
  }
}

sub ListAliasesAvailable {
  return sort(keys(%locales));
}

1;
