use Desktop::P;
use Desktop::DBI;
use Getopt::Std;

require Exporter;
@ISA = qw(Exporter);

%EXPORT_TAGS = ( 'all' => [
 qw(%apps %app_input %app_category %app_exec %mime %app_registry) 
			  ] );

@EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );
@EXPORT = ( @{ $EXPORT_TAGS{'all'} } );
$VERSION = '0.6';

our %apps;
our %app_input;
our %app_category;
our %app_exec;
our %mime;
our %app_registry;

BEGIN {
  my $db = Desktop::DBI->connect;

tie %apps,"Desktop::DBI",{table    => "apps",
			  key      => "fname",
			  CLOBBER  => 1};

tie %app_input,"Desktop::DBI",{table    => "app_input",
			       key      => ["app","mime"],
			       CLOBBER  => 1};

tie %app_category,"Desktop::DBI",{table    => "app_category",
				    key      => ["app","category"],
				    echo     => 0,
				    CLOBBER  => 1};

tie %app_exec,"Desktop::DBI",{table    => "app_exec",
			      key      => ["app","exec"],
			      echo     => 1,
			      CLOBBER  => 1};

tie %app_registry,"Desktop::DBI",{table    => "app_registry",
				  key      => ["app"],
				  echo     => 1,
				  CLOBBER  => 1};

tie %mime,"Desktop::DBI",{table    => "mime",
			  key      => "type",
			  echo     => 0,
			  CLOBBER  => 1};


getopt("");

}



1;
